=== debian/changelog ===
licq (1.5.0-2) unstable; urgency=low

  * Change vcs url to github
  * Print test output on failure
  * Install icon included in package instead of external (Closes: #628339)
  * Bump standards version to 3.9.2 with no changes
  * Incorporate Ubuntu patches
  * Fix pthread crash on hppa (Closes: #607082)
  * Fix FTBFS with gtest 1.6.0

 -- Erik Johansson <debian@ejohansson.se>  Thu, 16 Jun 2011 21:32:23 +0200

licq (1.5.0-1) unstable; urgency=low

  * New upstream version 1.5.0

 -- Erik Johansson <debian@ejohansson.se>  Sun, 03 Oct 2010 12:23:56 +0200

licq (1.5.0~rc2-2) unstable; urgency=low

  * Minor changes of package descriptions - thanks to Joel R
  * Remove empty /usr/share/licq directory from licq-plugin-qt4 and
    licq-plugin-kde4 - thanks to Joel R

 -- Erik Johansson <debian@ejohansson.se>  Thu, 30 Sep 2010 23:25:22 +0200

licq (1.5.0~rc2-1) unstable; urgency=low

  * New upstream version
    - kde/qt-gui are now fully replaced by kde4/qt4-gui
  * Bumped Standards Version to 3.9.1 with no changes
  * Updated patches for new upstream release
  * Packaged jabber protocol plugin
  * Packaged kde4-gui plugin
  * Moved qt4 data files to a separate package licq-plugin-qt4-common
  * Build system updated for new upstream release
  * licq-plugin-kde/qt are now dummy packages depending on licq-plugin-kde4/qt4

 -- Erik Johansson <debian@ejohansson.se>  Fri, 25 Sep 2010 10:37:34 +0200
