=== plugins/auto-reply/src/CMakeLists.txt ===
set(autoreply_SRCS
  autoreply.cpp
  main.cpp
)

licq_add_plugin(licq_autoreply ${autoreply_SRCS})
