=== plugins/forwarder/src/CMakeLists.txt ===
set(forwarder_SRCS
  forwarder.cpp
  main.cpp
)

licq_add_plugin(licq_forwarder ${forwarder_SRCS})
