=== debian/changelog ===
licq (1.5.1-1) unstable; urgency=low

  * New upstream version 1.5.1 (Closes: #599071)
  * Refer to GPL version 2 explicit in copyright
  * Correct lintian overrides
  * Re-enable building of unit tests
  * Drop patches included in upstream release

 -- Erik Johansson <debian@ejohansson.se>  Fri, 01 Jul 2011 21:08:33 +0200
