=== include/licq/CMakeLists.txt ===
--- 
+++ 
@@ -8,22 +8,13 @@
   daemon.h
   event.h
   gpghelper.h
-  icq.h
-  icqchat.h
-  icqcodes.h
-  icqdefines.h
-  icqfiletransfer.h
   inifile.h
   macro.h
   md5.h
   oneventmanager.h
   packet.h
   pipe.h
-  plugin.h
-  pluginbase.h
-  pluginmanager.h
   pluginsignal.h
-  protocolbase.h
   protocolmanager.h
   protocolsignal.h
   proxy.h
@@ -42,5 +33,7 @@
 
 add_subdirectory(contactlist)
 add_subdirectory(exceptions)
+add_subdirectory(icq)
 add_subdirectory(logging)
+add_subdirectory(plugin)
 add_subdirectory(thread)
