=== debian/changelog ===
licq (1.6.0-2build1) quantal; urgency=low

  * No change rebuild against boost1.49

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 19 Jun 2012 10:07:47 +0100

licq (1.6.0-2) unstable; urgency=low

  * Bump debhelper compat to 8
  * Build kde4 plugin without copying qt4 dir first

 -- Erik Johansson <debian@ejohansson.se>  Mon, 05 Dec 2011 21:00:09 +0100

licq (1.6.0-1) unstable; urgency=low

  * New upstream version 1.6.0 (Closes: #271035)

 -- Erik Johansson <debian@ejohansson.se>  Mon, 31 Oct 2011 19:50:20 +0100
