=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: net
 Priority: optional
 Maintainer: Erik Johansson <debian@ejohansson.se>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://github.com/licq-im/debian.git
 Vcs-Browser: https://github.com/licq-im/debian
 Homepage: http://www.licq.org/
