=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,12 @@
 
 # Build rules
 
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 configure/licq:: CMAKE_EXTRA_ARGS += -DBUILD_TESTS=ON
+else
+configure/licq:: CMAKE_EXTRA_ARGS += -DBUILD_TESTS=OFF
+endif
+
 configure/licq:: $(CMAKE_BUILDDIR)/CMakeCache.txt
 $(CMAKE_BUILDDIR)/CMakeCache.txt:
 	mkdir -p $(@D)
