## licq 1.7.0

=== debian/changelog ===
licq (1.7.0-1) unstable; urgency=low

  * New upstream version 1.7.0

 -- Erik Johansson <debian@ejohansson.se>  Wed, 31 Oct 2012 21:30:00 +0100

licq (1.6.1-3) unstable; urgency=low

  * Add lintian override for hardening-no-fortify-functions
  * Make licq depend on a UI plugin (Closes: #681678)

 -- Erik Johansson <debian@ejohansson.se>  Sun, 29 Jul 2012 22:23:12 +0200

licq (1.6.1-2) unstable; urgency=low

  * Bump debhelper compat to 9
  * Add CPPFLAGS to CFLAGS and CXXFLAGS
  * Fix typo in licq-plugin-qt4's description (Closes: #679029)
  * Set CMAKE_*_LINKER_FLAGS from LDFLAGS

 -- Erik Johansson <debian@ejohansson.se>  Thu, 28 Jun 2012 23:31:01 +0200
